D4Science Infrastructure - Task #3999

create 2 istances of Couchbase
May 12, 2016 07:11 PM - Alessandro Pieve

Status: Closed Start date: May 12, 2016
Priority: Urgent Due date:

Assignee: Alessandro Pieve % Done: 100%
Category: Application Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Development

Description

Link for installation:
http://developer.couchbase.com/documentation/server/4.1/install/install-intro.html

Related issues:
Related to D4Science Infrastructure - Task #4137: create 1 instance of couchb... Closed May 27, 2016

History

#1 - May 13, 2016 09:18 PM - Pasquale Pagano
- Tracker changed from Support to Task

- Priority changed from Normal to High

According to my knowledge each instance has the following characteristics:

e 4 GB Ram
¢ 40 GB Disk
e 2 CPUs

The instances will be used for development and then if Couchbase will be adopted in production, similar instances should be created. Creating them
via provisioning could be the right choice.

#2 - May 18, 2016 11:25 AM - Alessandro Pieve
- Priority changed from High to Urgent

This issue is becoming urgent

#3 - May 20, 2016 02:19 PM - Tommaso Piccioli
- Status changed from New to In Progress
- Assignee changed from _InfraScience Systems Engineer to Alessandro Pieve

- % Done changed from 0 to 60

couchbase01-d-d4s.d4science.org and couchbase02-d-d4s.d4science.org up and running with couchbase software, to be configured the cluster
couchbase.

#4 - May 23, 2016 09:23 AM - Alessandro Pieve
- Status changed from In Progress to Closed

- % Done changed from 60 to 100

Control panel:
http://couchbase01-d-d4s.d4science.org:8091/
http://couchbase02-d-d4s.d4science.org:8091/

Configure a cluster

Create a separate bucket for different aggregation
Load a backup from: http://couchdb01-d-d4s.d4science.org

#5 - May 27, 2016 05:23 PM - Alessandro Pieve
- Related to Task #4137: create 1 instance of couchbase added
